import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRClosureControlClusterOverallCurrentStateStruct extends _NSObject {
    static alloc(): _MTRClosureControlClusterOverallCurrentStateStruct;
    static new(): _MTRClosureControlClusterOverallCurrentStateStruct;
    init(): _MTRClosureControlClusterOverallCurrentStateStruct;
    position(): _NSNumber | null;
    setPosition$(value: _NSNumber | null): void;
    latch(): _NSNumber | null;
    setLatch$(value: _NSNumber | null): void;
    speed(): _NSNumber | null;
    setSpeed$(value: _NSNumber | null): void;
    secureState(): _NSNumber | null;
    setSecureState$(value: _NSNumber | null): void;
}
export interface _MTRClosureControlClusterOverallCurrentStateStruct extends _NSCopying {
}
